curl -X GET 'https://api.example.com/resource-scope-links?resourceId=resource_doc_123' \
-H 'Authorization: Bearer YOUR_TOKEN'
[
{
"id": "rsl_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"resourceId": "resource_doc_123",
"scopeId": "scope_sales",
"linkType": "share",
"metadata": {
"sharedBy": "user_jane",
"accessLevel": "read-only"
},
"createdAt": "2024-01-15T10:30:00Z"
},
{
"id": "rsl_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5c",
"resourceId": "resource_doc_123",
"scopeId": "scope_marketing",
"linkType": "share",
"metadata": {
"sharedBy": "user_jane"
},
"createdAt": "2024-01-15T11:00:00Z"
}
]
Resource Scope Links
Get Resource Scope Links
Get resource scope links by resource or scope
GET
/
resource-scope-links
curl -X GET 'https://api.example.com/resource-scope-links?resourceId=resource_doc_123' \
-H 'Authorization: Bearer YOUR_TOKEN'
[
{
"id": "rsl_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"resourceId": "resource_doc_123",
"scopeId": "scope_sales",
"linkType": "share",
"metadata": {
"sharedBy": "user_jane",
"accessLevel": "read-only"
},
"createdAt": "2024-01-15T10:30:00Z"
},
{
"id": "rsl_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5c",
"resourceId": "resource_doc_123",
"scopeId": "scope_marketing",
"linkType": "share",
"metadata": {
"sharedBy": "user_jane"
},
"createdAt": "2024-01-15T11:00:00Z"
}
]
Query Parameters
string
Filter by resource ID
string
Filter by scope ID
string
Filter by link type:
share, alias, or mirrorAt least one of
resourceId or scopeId is required.Response
Returns an array of resource scope link objects.curl -X GET 'https://api.example.com/resource-scope-links?resourceId=resource_doc_123' \
-H 'Authorization: Bearer YOUR_TOKEN'
[
{
"id": "rsl_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"resourceId": "resource_doc_123",
"scopeId": "scope_sales",
"linkType": "share",
"metadata": {
"sharedBy": "user_jane",
"accessLevel": "read-only"
},
"createdAt": "2024-01-15T10:30:00Z"
},
{
"id": "rsl_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5c",
"resourceId": "resource_doc_123",
"scopeId": "scope_marketing",
"linkType": "share",
"metadata": {
"sharedBy": "user_jane"
},
"createdAt": "2024-01-15T11:00:00Z"
}
]
Was this page helpful?
⌘I